## kaidan 0.12.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 Linus Jahn <lnj@kaidan.im>
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.16)
set(CMAKE_CXX_STANDARD 23)
set(QT_MIN_VERSION "6.6.0")
set(KF_MIN_VERSION "6.11.0")

if(POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

project(kaidan)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
# CMake module path
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

# CMake modules include
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMDeprecationSettings)
include(ECMFindQmlModule)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
kde_enable_exceptions()

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    add_compile_options("-stdlib=libc++")
endif()

# application information
set(APPLICATION_ID "im.kaidan.kaidan")
set(APPLICATION_NAME "kaidan")
set(APPLICATION_DISPLAY_NAME "Kaidan")
set(APPLICATION_DESCRIPTION "User-friendly and modern chat app for every device")

# Version
set(VERSION_MAJOR 0)
set(VERSION_MINOR 12)
set(VERSION_PATCH 2)
set(VERSION_CODE 23)
set(VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

# CMake options
option(USE_KNOTIFICATIONS "Use KNotifications for displaying notifications" TRUE)
option(BUNDLE_ICONS "Bundle breeze icons" FALSE)

set(AUTOMOC_MOC_OPTIONS -Muri=${APPLICATION_ID})

# Find packages
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Concurrent Qml Quick Svg Sql QuickControls2 Xml Multimedia Positioning Location)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO Kirigami Prison)
if (NOT ANDROID)
   find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
   find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
   find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
endif()

find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
find_package(QXmppQt6 1.10.3 REQUIRED COMPONENTS Omemo)

find_package(ICU 61.0 COMPONENTS uc)
set_package_properties(ICU PROPERTIES
    TYPE REQUIRED
    PURPOSE "Unicode library (used for emoji support)"
)

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.12.0
)

# Format
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

# QML modules
ecm_find_qmlmodule(org.kde.kquickimageeditor 1.0)

if(USE_KNOTIFICATIONS)
    find_package(KF6Notifications ${KF_MIN_VERSION} REQUIRED)
    set(__KF6Notifications_LIBRARIES KF6::Notifications)
    add_definitions(-DHAVE_KNOTIFICATIONS)
endif()

# Optional QWidget style integration (not on mobile)
if(NOT ANDROID AND NOT IOS)
    find_package(Qt6Widgets)
    find_package(KF6QQC2DesktopStyle)
    set_package_properties(Qt6Widgets PROPERTIES
        DESCRIPTION "Integration with QWidget based desktop styles"
        TYPE OPTIONAL
    )
endif()

# Platform-specific
if(Qt6Widgets_FOUND)
    add_definitions(-DHAVE_QWIDGETS -DQAPPLICATION_CLASS=QApplication)
    set(__Qt6Widgets_LIBRARIES Qt6::Widgets)
else()
    add_definitions(-DQAPPLICATION_CLASS=QGuiApplication)
endif()

if(ANDROID)
    find_package(Qt6 REQUIRED COMPONENTS AndroidExtras)
    # We need to link against sqlite3 to help androiddeployqt detect that we need it
    find_package(SQLite3 REQUIRED)

    find_package(OpenSSL 1.1 REQUIRED COMPONENTS Crypto)
    message(STATUS "Using OpenSSL ${OPENSSL_VERSION}")
endif()

include(ECMPoQmTools)

ecm_install_po_files_as_qm(poqm)

#
# Kaidan binary
#

add_subdirectory(src)

#
# Install Kaidan
#

if(ANDROID)
    configure_file(${CMAKE_SOURCE_DIR}/misc/android/AndroidManifest.xml.in
                   ${CMAKE_SOURCE_DIR}/misc/android/AndroidManifest.xml)
elseif(IOS)
    configure_file(${CMAKE_SOURCE_DIR}/misc/ios/Info.plist.in
                   ${CMAKE_SOURCE_DIR}/misc/ios/Info.plist)
endif()

if(UNIX AND NOT APPLE)
    # install kaidan media
    install(DIRECTORY "data/"
            DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}"
            PATTERN "*.qrc" EXCLUDE
    )

    # install icon (scalable + 128x)
    install(FILES "data/images/kaidan.svg"
            DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/scalable/apps"
    )
    install(FILES "misc/kaidan-128x128.png"
            DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/128x128/apps"
            RENAME "kaidan.png"
    )
    # install desktop file
    install(FILES "misc/im.kaidan.kaidan.desktop"
            DESTINATION "${KDE_INSTALL_APPDIR}"
    )
    # install metainfo
    install(FILES "misc/im.kaidan.kaidan.appdata.xml"
            DESTINATION "${KDE_INSTALL_METAINFODIR}"
            RENAME "${APPLICATION_ID}.appdata.xml"
    )
endif()

# install kaidan binary
install(TARGETS kaidan
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

# KNotifications
if(USE_KNOTIFICATIONS)
    install(FILES misc/kaidan.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
endif()

# Dev editable important files, to be seen in the IDE tree view

file(GLOB_RECURSE OTHERS_FILES
    RELATIVE
    ${CMAKE_SOURCE_DIR}
    "utils/*.sh"
    "misc/*.desktop"
    "misc/*.appdata.xml"
    "misc/*.notifyrc"
    "misc/*.in"
    "misc/*.json"
    "*.md"
)

add_custom_target(Others
    SOURCES
    ${OTHERS_FILES}
)

#
# Unit tests
#

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(
     EXPORT KAIDAN
     FILE kaidan.categories
     DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Linus Jahn <lnj@kaidan.im>
#
# SPDX-License-Identifier: CC0-1.0

#
# Sources / Resources
#

set(TARGET_GSTREAMER_PLUGINS="${TARGET_GSTREAMER_PLUGINS}")

configure_file(${CMAKE_SOURCE_DIR}/GlobalsGen.h.in ${CMAKE_BINARY_DIR}/GlobalsGen.h)

add_subdirectory(app)

add_library(libkaidancore STATIC)
add_library(Kaidan::Core ALIAS libkaidancore)

ecm_qt_declare_logging_category(
    libkaidancore
    HEADER KaidanCoreLog.h
    IDENTIFIER KAIDAN_CORE_LOG
    CATEGORY_NAME im.kaidan.core
    DESCRIPTION "Kaidan Core"
    EXPORT KAIDAN
)

target_sources(libkaidancore PRIVATE
    AbstractNotifier.h
    AbstractQrCodeGenerator.cpp
    AbstractQrCodeGenerator.h
    Account.cpp
    Account.h
    AccountDb.cpp
    AccountDb.h
    AccountManager.cpp
    AccountManager.h
    AccountMigrationManager.cpp
    AccountMigrationManager.h
    AccountQrCodeGenerator.cpp
    AccountQrCodeGenerator.h
    AccountTrustMessageUriGenerator.cpp
    AccountTrustMessageUriGenerator.h
    Algorithms.h
    AtmManager.cpp
    AtmManager.h
    AuthenticatableEncryptionKeyModel.cpp
    AuthenticatableEncryptionKeyModel.h
    AuthenticatedEncryptionKeyModel.cpp
    AuthenticatedEncryptionKeyModel.h
    AvatarFileStorage.cpp
    AvatarFileStorage.h
    BitsOfBinaryImageProvider.cpp
    BitsOfBinaryImageProvider.h
    Blocking.cpp
    Blocking.h
    ChatController.cpp
    ChatController.h
    ChatHintModel.cpp
    ChatHintModel.h
    ClientWorker.cpp
    ClientWorker.h
    ContactQrCodeGenerator.cpp
    ContactQrCodeGenerator.h
    ContactTrustMessageUriGenerator.cpp
    ContactTrustMessageUriGenerator.h
    CredentialsGenerator.cpp
    CredentialsGenerator.h
    CredentialsValidator.cpp
    CredentialsValidator.h
    DatabaseComponent.cpp
    DatabaseComponent.h
    Database.cpp
    Database.h
    DataFormModel.cpp
    DataFormModel.h
    DiscoveryManager.cpp
    DiscoveryManager.h
    EmojiModel.cpp
    EmojiModel.h
    Encryption.h
    EncryptionController.cpp
    EncryptionController.h
    EncryptionKeyModel.cpp
    EncryptionKeyModel.h
    EncryptionWatcher.cpp
    EncryptionWatcher.h
    Enums.h
    FileModel.cpp
    FileModel.h
    FileProxyModel.cpp
    FileProxyModel.h
    FileProgressCache.cpp
    FileProgressCache.h
    FileSharingController.cpp
    FileSharingController.h
    FutureUtils.h
    Globals.h
    GroupChatController.cpp
    GroupChatController.h
    GroupChatQrCodeGenerator.cpp
    GroupChatQrCodeGenerator.h
    GroupChatUser.cpp
    GroupChatUser.h
    GroupChatUserDb.cpp
    GroupChatUserDb.h
    GroupChatUserFilterModel.cpp
    GroupChatUserFilterModel.h
    GroupChatUserKeyAuthenticationFilterModel.cpp
    GroupChatUserKeyAuthenticationFilterModel.h
    GroupChatUserModel.cpp
    GroupChatUserModel.h
    GuiStyle.h
    HostCompletionModel.cpp
    HostCompletionModel.h
    HostCompletionProxyModel.cpp
    HostCompletionProxyModel.h
    JsonUtils.h
    Kaidan.cpp
    Kaidan.h
    LoginQrCodeGenerator.cpp
    LoginQrCodeGenerator.h
    LogHandler.cpp
    LogHandler.h
    MediaUtils.cpp
    MediaUtils.h
    MessageComposition.cpp
    MessageComposition.h
    Message.cpp
    MessageDb.cpp
    MessageDb.h
    Message.h
    MessageController.cpp
    MessageController.h
    MessageModel.cpp
    MessageModel.h
    MessageReactionModel.cpp
    MessageReactionModel.h
    MixController.cpp
    MixController.h
    Notifications.cpp
    Notifications.h
    OmemoController.cpp
    OmemoController.h
    OmemoDb.cpp
    OmemoDb.h
    PresenceCache.cpp
    PresenceCache.h
    ProviderListItem.cpp
    ProviderListItem.h
    ProviderListModel.cpp
    ProviderListModel.h
    PublicGroupChat.cpp
    PublicGroupChat.h
    PublicGroupChatModel.cpp
    PublicGroupChatModel.h
    PublicGroupChatProxyModel.cpp
    PublicGroupChatProxyModel.h
    PublicGroupChatSearchManager.cpp
    PublicGroupChatSearchManager.h
    QmlUtils.cpp
    QmlUtils.h
    RegistrationDataFormFilterModel.cpp
    RegistrationDataFormFilterModel.h
    RegistrationDataFormModel.cpp
    RegistrationDataFormModel.h
    RegistrationManager.cpp
    RegistrationManager.h
    RosterDb.cpp
    RosterDb.h
    RosterFilterProxyModel.cpp
    RosterFilterProxyModel.h
    RosterItem.cpp
    RosterItem.h
    RosterItemWatcher.cpp
    RosterItemWatcher.h
    RosterManager.cpp
    RosterManager.h
    RosterModel.cpp
    RosterModel.h
    ServerFeaturesCache.cpp
    ServerFeaturesCache.h
    Settings.cpp
    Settings.h
    SqlUtils.cpp
    SqlUtils.h
    static_plugins.h
    StatusBar.cpp
    StatusBar.h
    SystemUtils.cpp
    SystemUtils.h
    TextFormatter.h
    TextFormatter.cpp
    TrustDb.cpp
    TrustDb.h
    TrustMessageUriGenerator.cpp
    TrustMessageUriGenerator.h
    UserDevicesModel.cpp
    UserDevicesModel.h
    VCardCache.cpp
    VCardCache.h
    VCardManager.cpp
    VCardManager.h
    VCardModel.cpp
    VCardModel.h
    VersionManager.cpp
    VersionManager.h
    XmlUtils.h

    ${CMAKE_SOURCE_DIR}/data/data.qrc
    ${CMAKE_SOURCE_DIR}/misc/misc.qrc
    ${CMAKE_SOURCE_DIR}/src/qml/qml.qrc
)

# Include bundled icons on Ubuntu Touch, Android, Windows, macOS and iOS
if(BUNDLE_ICONS OR UBUNTU_TOUCH OR ANDROID)
    target_sources(libkaidancore PRIVATE "${CMAKE_SOURCE_DIR}/kirigami-icons.qrc")
endif()

# Bundled knotifications configuration files on platforms that require it
if(ANDROID)
    target_sources(libkaidancore PRIVATE "${CMAKE_SOURCE_DIR}/misc/notifications.qrc")
endif()

# Bundle images on Android, Windows, macOS and iOS
if(ANDROID OR WIN32 OR APPLE)
    target_sources(libkaidancore PRIVATE "${CMAKE_SOURCE_DIR}/data/images/images.qrc")
endif()

# Set app icon
include(ECMAddAppIcon)
file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/misc/app-icons/*kaidan.png")
message(STATUS ${ICONS_SRCS})
ecm_add_app_icon(KAIDAN_ICNS ICONS ${ICONS_SRCS})
message(STATUS ${KAIDAN_ICNS})
target_sources(libkaidancore PRIVATE ${KAIDAN_ICNS})

ecm_create_qm_loader(libkaidancore kaidan_qt)

target_link_libraries(libkaidancore
    ICU::uc
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::Kirigami
    KF6::Prison
    Qt::Concurrent
    Qt::Core
    Qt::Location
    Qt::Multimedia
    Qt::Network
    Qt::Positioning
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Sql
    Qt::Svg
    Qt::Xml
    QXmpp::QXmpp QXmpp::Omemo
    ${__Qt6Widgets_LIBRARIES}
    ${__KF6Notifications_LIBRARIES}
)

if (TARGET KF6::Crash)
    target_link_libraries(libkaidancore KF6::Crash)
endif()

if(ANDROID)
    target_link_libraries(libkaidancore OpenSSL::Crypto SQLite::SQLite3 Qt::AndroidExtras)
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    target_link_libraries (libkaidancore "pthread")
endif()

target_compile_definitions(libkaidancore PRIVATE
    QXMPP_DISABLE_DEPRECATED_BEFORE=0x010900
    QT_DISABLE_DEPRECATED_UP_TO=0x050F00
    DEBUG_SOURCE_PATH="${CMAKE_SOURCE_DIR}"
)

# Include build directory to use GlobalsGen.h
target_include_directories(libkaidancore PUBLIC "${CMAKE_BINARY_DIR}")

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Linus Jahn <lnj@kaidan.im>
#
# SPDX-License-Identifier: CC0-1.0

include(ECMAddTests)

find_package(Qt6Test REQUIRED)

# Include build directory to use GlobalsGen.h
include_directories("${CMAKE_BINARY_DIR}")

# Intermediate library shared by all tests
add_library(libkaidantests STATIC)
add_library(Kaidan::Tests ALIAS libkaidantests)

target_sources(libkaidantests
    PUBLIC
    Test.cpp
    Test.h
    TestUtils.h
)

target_link_libraries(libkaidantests
    PUBLIC
    libkaidancore
    Qt::Test
)


ecm_add_test(
    DatabaseTest.cpp
    TEST_NAME DatabaseTest
    LINK_LIBRARIES Kaidan::Tests
)

ecm_add_test(
    FileModelTest.cpp
    TEST_NAME FileModelTest
    LINK_LIBRARIES Kaidan::Tests
)

ecm_add_test(
    FutureUtilsTest.cpp
    TEST_NAME FutureUtilsTest
    LINK_LIBRARIES Kaidan::Tests
)

ecm_add_test(
    OmemoDbTest.cpp
    TEST_NAME OmemoDbTest
    LINK_LIBRARIES Kaidan::Tests
)

ecm_add_test(
    PresenceCacheTest.cpp
    TEST_NAME PresenceCacheTest
    LINK_LIBRARIES Kaidan::Tests
)

ecm_add_test(
    PublicGroupChatTest.cpp
    TEST_NAME PublicGroupChatTest
    LINK_LIBRARIES Kaidan::Tests
)

ecm_add_test(
    RosterItemWatcherTest.cpp
    TEST_NAME RosterItemWatcherTest
    LINK_LIBRARIES Kaidan::Tests
)

ecm_add_test(
    TrustDbTest.cpp
    TEST_NAME TrustDbTest
    LINK_LIBRARIES Kaidan::Tests
)

# Manual tests

add_executable(PublicGroupChatSearch
    manual/PublicGroupChatSearch.cpp
)
target_link_libraries(PublicGroupChatSearch
    PRIVATE Qt::Core Qt::Network
)

add_executable(SendFileSourcesAttachment
    manual/SendFileSourcesAttachment.cpp
)
target_link_libraries(SendFileSourcesAttachment
    PRIVATE Qt::Core QXmpp::QXmpp
)

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
#
# SPDX-License-Identifier: CC0-1.0

add_executable(${PROJECT_NAME} WIN32)
target_sources(${PROJECT_NAME} PRIVATE main.cpp)
target_link_libraries(${PROJECT_NAME} Kaidan::Core)
ecm_create_qm_loader(${PROJECT_NAME} kaidan_qt)

ecm_qt_declare_logging_category(
    ${PROJECT_NAME}
    HEADER KaidanLog.h
    IDENTIFIER KAIDAN_LOG
    CATEGORY_NAME im.kaidan.kaidan
    DESCRIPTION "Kaidan"
    EXPORT KAIDAN
)

if (TARGET KF6::Crash)
    target_link_libraries(${PROJECT_NAME} KF6::Crash)
endif()

if (NOT ANDROID)
    target_link_libraries(${PROJECT_NAME} KDAB::kdsingleapplication KF6::WindowSystem)
endif()
if (NOT WIN32 AND NOT APPLE)
    target_link_libraries(${PROJECT_NAME} Qt::GuiPrivate)
endif()


# Set a custom plist file for the app bundle
if(APPLE)
    if(IOS)
        set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/misc/ios/Info.plist)
    else()
        set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/misc/macos/Info.plist)
    endif()
endif()

=== debian/changelog ===
kaidan (0.12.2-1build1) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:11:04 +0100

kaidan (0.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - fix-account-login-crash.patch: drop, fixed upstream
  * Small updates to debian/copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Apr 2025 07:42:10 +0200

=== debian/control ===
Source: kaidan
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.11.0~),
               kirigami-addons-dev (>= 1.4.0~),
               libicu-dev (>= 61.0~),
               libkdsingleapplication-qt6-dev,
               libkf6crash-dev (>= 6.11.0~),
               libkf6kio-dev (>= 6.11.0~),
               libkf6notifications-dev (>= 6.11.0~),
               libkf6prison-dev (>= 6.11.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.11.0~),
               libkirigami-dev (>= 6.11.0~),
               libqxmppqt6-dev (>= 1.10.3~),
               qml6-module-org-kde-kquickimageeditor,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.6.0~),
               qt6-positioning-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://www.kaidan.im/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kaidan
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kaidan.git
Rules-Requires-Root: no

Package: kaidan
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Simple and user-friendly Jabber/XMPP client
 Kaidan is a simple, user-friendly and modern chat client. It uses the open
 communication protocol XMPP (Jabber).
 .
 The user interface makes use of Kirigami and QtQuick, while the back-end of
 Kaidan is entirely written in C++ using Qt and the Qt-based XMPP library
 QXmpp.

=== debian/watch ===
version=4
https://download.kde.org/unstable/@PACKAGE@/([\d.]+)/@PACKAGE@-([\d.]+)\.tar\.xz

## kaidan 0.12.2+p24.04+vstable+git20250901.0905

=== debian/changelog ===
kaidan (0.12.2+p24.04+vstable+git20250901.0905-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 09:06:13 +0000

kaidan (0.12.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 22 Feb 2025 07:12:43 +1000

kaidan (0.11.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 22 Feb 2025 07:12:43 +1000

kaidan (0.9.1-5neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 19 Nov 2023 14:51:10 +1000

kaidan (0.8.0-2neon) focal; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 15:13:10 +1000

kaidan (0.7.0-0neon) focal; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 14:10:24 +1000

kaidan (0.6.0-0neon) focal; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 13:41:42 +1000

kaidan (0.5.0-0neon) focal; urgency=medium

  * new release

 -- Harald Sitter <sitter@kde.org>  Mon, 14 Sep 2020 15:58:58 +0200

kaidan (0.4.1-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Sun, 21 Jul 2019 15:02:20 +0200

kaidan (0.4.0-1) unstable; urgency=medium

  [ Linus Jahn ]
  * New upstream release.

 -- Jonah Brüchert <jbb@kaidan.im>  Sun, 21 Jul 2019 15:02:15 +0200

kaidan (0.4.0~rc1-1) unstable; urgency=medium

  * New upstream release.

 -- Jonah Brüchert <jbb@kaidan.im>  Thu, 09 May 2019 14:13:25 +0200

kaidan (0.3.2-1) unstable; urgency=medium

  * New upstream release

 -- JBBgameich <jbb.mail@gmx.de>  Sat, 03 Mar 2018 12:55:04 +0100

kaidan (0.3.1-1) unstable; urgency=medium

  * New upstream release

 -- JBBgameich <jbb.mail@gmx.de>  Mon, 20 Nov 2017 21:42:54 +0100

kaidan (0.3.0-1) unstable; urgency=medium

  * New upstream release

 -- JBBgameich <jbb.mail@gmx.de>  Sat, 19 Aug 2017 17:02:43 +0200

kaidan (0.3.0~dev+git20170803-1) unstable; urgency=medium

  * Changes for gloox rewrite
  * New pre release 0.3.0-dev 2017.08.03

 -- JBBgameich <jbb.mail@gmx.de>  Sun, 30 Jul 2017 22:02:20 +0200

kaidan (0.2.3-1) unstable; urgency=medium

  * New upstream release 

 -- JBBgameich <jbb.mail@gmx.de>  Thu, 22 Jun 2017 20:52:39 +0200

kaidan (0.2.1-1) sid; urgency=medium

  * New upstream release

 -- LNJ <git@lnj.li>  Thu, 08 Jun 2017 14:37:28 +0200

kaidan (0.2.0-1) sid; urgency=medium

  * New upstream release

 -- LNJ <git@lnj.li>  Tue, 06 Jun 2017 23:05:13 +0200

kaidan (0.2.0-dev+git20170605-1) sid; urgency=medium

  * New development version from VCS

 -- LNJ <git@lnj.li>  Mon, 05 Jun 2017 22:54:18 +0200

kaidan (0.2.0-dev+git20170501-1) sid; urgency=medium

  * Update version from git

 -- JBBgameich <jbb.mail@gmx.de>  Mon, 01 May 2017 19:45:09 +0200

kaidan (0.0.1-1) experimental; urgency=medium

  * Initial release of the debian package

 -- JBBgameich <jbb.mail@gmx.de>  Mon, 13 Feb 2017 19:11:03 +0100

=== debian/control ===
Source: kaidan
Section: comm
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kf6-prison-dev,
               kf6-qqc2-desktop-style-dev,
               libicu-dev,
               libkdsingleapplication-qt6-dev,
               libqxmpp-qt6-dev,
               libzxingcore-dev | libzxing-dev,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-multimedia-dev,
               qt6-positioning-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://kaidan.im
Vcs-Git: https://invent.kde.org/neon/forks/kaidan.git
Vcs-Browser: https://invent.kde.org/neon/forks/kaidan
Maintainer: Neon CI <neon@kde.org>

Package: kaidan
Architecture: any
Depends: kaidan-data,
         kf6-kirigami,
         kf6-kirigami-addons,
         kf6-prison,
         qml6-module-org-kde-kquickimageeditor,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libnotify-bin
Description: Simple, user-friendly Jabber/XMPP client for every device
 It has a modern user-interface made using Kirigami and QtQuick. The back-end
 is completely written in C++ using the XMPP client libraray gloox and Qt 5.
 .
 One of the main ideas behind it is to run the same application on all
 platforms, including mobile and desktop systems. So it even runs on Android.
 .
 Currently there are still many features not implemented, so don't expect it
 to work as a finished client will do.

Package: kaidan-data
Architecture: all
Depends: ${misc:Depends}
Description: Simple, user-friendly Jabber/XMPP client for every device
 It has a modern user-interface made using Kirigami and QtQuick. The back-end
 is completely written in C++ using the XMPP client libraray gloox and Qt 5.
 .
 One of the main ideas behind it is to run the same application on all
 platforms, including mobile and desktop systems. So it even runs on Android.
 .
 Currently there are still many features not implemented, so don't expect it
 to work as a finished client will do.
 .
 This package contains architecture independent files.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf6 --buildsystem kf6

## kaidan 0.12.2+p24.04+vstable+git20250914.1546

=== debian/changelog ===
kaidan (0.12.2+p24.04+vstable+git20250914.1546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 15:46:41 +0000

## kaidan 0.13.0

=== debian/changelog ===
kaidan (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libqxmppqt6-dev to 1.11.0
    - add qtkeychain-qt6-dev
  * Update the patches:
    - tests-no-network.diff: refresh
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Do not ship SPDX .license files.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Dec 2025 06:23:51 +0100

=== debian/control ===
Source: kaidan
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.11.0~),
               kirigami-addons-dev (>= 1.4.0~),
               libicu-dev (>= 61.0~),
               libkdsingleapplication-qt6-dev,
               libkf6crash-dev (>= 6.11.0~),
               libkf6kio-dev (>= 6.11.0~),
               libkf6notifications-dev (>= 6.11.0~),
               libkf6prison-dev (>= 6.11.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.11.0~),
               libkirigami-dev (>= 6.11.0~),
               libqxmppqt6-dev (>= 1.11.0~),
               qml6-module-org-kde-kquickimageeditor,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.6.0~),
               qt6-positioning-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),
               qtkeychain-qt6-dev (>= 0.15~),
Standards-Version: 4.7.2
Homepage: https://www.kaidan.im/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kaidan
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kaidan.git

Package: kaidan
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Simple and user-friendly Jabber/XMPP client
 Kaidan is a simple, user-friendly and modern chat client. It uses the open
 communication protocol XMPP (Jabber).
 .
 The user interface makes use of Kirigami and QtQuick, while the back-end of
 Kaidan is entirely written in C++ using Qt and the Qt-based XMPP library
 QXmpp.

## kaidan 0.13.0+p24.04+vstable+git20260101.0155

=== debian/changelog ===
kaidan (0.13.0+p24.04+vstable+git20260101.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:55:57 +0000

kaidan (0.13.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 03 Dec 2025 12:29:12 +1000

## kaidan 0.13.0+p24.04+vstable+git20260103.0358

=== debian/changelog ===
kaidan (0.13.0+p24.04+vstable+git20260103.0358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:58:53 +0000

## kaidan 0.13.0+p24.04+vunstable+git20251203.1102

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 set(CMAKE_CXX_STANDARD 23)
-set(QT_MIN_VERSION "6.6.0")
+set(QT_MIN_VERSION "6.7.0")
 set(KF_MIN_VERSION "6.11.0")
 
 if(POLICY CMP0071)
@@ -39,9 +39,9 @@
 
 # Version
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 12)
-set(VERSION_PATCH 2)
-set(VERSION_CODE 23)
+set(VERSION_MINOR 13)
+set(VERSION_PATCH 0)
+set(VERSION_CODE 24)
 set(VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # CMake options
@@ -52,6 +52,11 @@
 
 # Find packages
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Concurrent Qml Quick Svg Sql QuickControls2 Xml Multimedia Positioning Location)
+
+if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0" AND NOT WIN32 AND NOT APPLE)
+    find_package(Qt6GuiPrivate ${QT_MIN_VERSION} REQUIRED NO_MODULE)
+endif()
+
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO Kirigami Prison)
 if (NOT ANDROID)
    find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
@@ -60,12 +65,19 @@
 endif()
 
 find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
-find_package(QXmppQt6 1.10.3 REQUIRED COMPONENTS Omemo)
+find_package(QXmppQt6 1.12.0 REQUIRED COMPONENTS Omemo)
 
 find_package(ICU 61.0 COMPONENTS uc)
 set_package_properties(ICU PROPERTIES
     TYPE REQUIRED
     PURPOSE "Unicode library (used for emoji support)"
+)
+
+find_package(Qt6Keychain 0.15 REQUIRED)
+set_package_properties(Qt6Keychain PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Secure credential storage"
+    URL "https://github.com/frankosterfeld/qtkeychain"
 )
 
 ecm_set_disabled_deprecation_versions(
@@ -98,14 +110,6 @@
         DESCRIPTION "Integration with QWidget based desktop styles"
         TYPE OPTIONAL
     )
-endif()
-
-# Platform-specific
-if(Qt6Widgets_FOUND)
-    add_definitions(-DHAVE_QWIDGETS -DQAPPLICATION_CLASS=QApplication)
-    set(__Qt6Widgets_LIBRARIES Qt6::Widgets)
-else()
-    add_definitions(-DQAPPLICATION_CLASS=QGuiApplication)
 endif()
 
 if(ANDROID)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,33 +24,36 @@
     EXPORT KAIDAN
 )
 
+ecm_qt_declare_logging_category(
+    libkaidancore
+    HEADER KaidanXmppLog.h
+    IDENTIFIER KAIDAN_XMPP_LOG
+    CATEGORY_NAME im.kaidan.xmpp
+    DESCRIPTION "Kaidan XMPP"
+    EXPORT KAIDAN
+)
+
 target_sources(libkaidancore PRIVATE
     AbstractNotifier.h
-    AbstractQrCodeGenerator.cpp
-    AbstractQrCodeGenerator.h
     Account.cpp
     Account.h
+    AccountController.cpp
+    AccountController.h
     AccountDb.cpp
     AccountDb.h
-    AccountManager.cpp
-    AccountManager.h
-    AccountMigrationManager.cpp
-    AccountMigrationManager.h
-    AccountQrCodeGenerator.cpp
-    AccountQrCodeGenerator.h
+    AccountMigrationController.cpp
+    AccountMigrationController.h
     AccountTrustMessageUriGenerator.cpp
     AccountTrustMessageUriGenerator.h
     Algorithms.h
-    AtmManager.cpp
-    AtmManager.h
+    AtmController.cpp
+    AtmController.h
     AuthenticatableEncryptionKeyModel.cpp
     AuthenticatableEncryptionKeyModel.h
     AuthenticatedEncryptionKeyModel.cpp
     AuthenticatedEncryptionKeyModel.h
-    AvatarFileStorage.cpp
-    AvatarFileStorage.h
-    BitsOfBinaryImageProvider.cpp
-    BitsOfBinaryImageProvider.h
+    AvatarCache.cpp
+    AvatarCache.h
     Blocking.cpp
     Blocking.h
     ChatController.cpp
@@ -59,8 +62,6 @@
     ChatHintModel.h
     ClientWorker.cpp
     ClientWorker.h
-    ContactQrCodeGenerator.cpp
-    ContactQrCodeGenerator.h
     ContactTrustMessageUriGenerator.cpp
     ContactTrustMessageUriGenerator.h
     CredentialsGenerator.cpp
@@ -73,8 +74,8 @@
     Database.h
     DataFormModel.cpp
     DataFormModel.h
-    DiscoveryManager.cpp
-    DiscoveryManager.h
+    DiscoveryController.cpp
+    DiscoveryController.h
     EmojiModel.cpp
     EmojiModel.h
     Encryption.h
@@ -97,8 +98,8 @@
     Globals.h
     GroupChatController.cpp
     GroupChatController.h
-    GroupChatQrCodeGenerator.cpp
-    GroupChatQrCodeGenerator.h
+    GroupChatInviteeFilterModel.cpp
+    GroupChatInviteeFilterModel.h
     GroupChatUser.cpp
     GroupChatUser.h
     GroupChatUserDb.cpp
@@ -115,12 +116,12 @@
     HostCompletionProxyModel.cpp
     HostCompletionProxyModel.h
     JsonUtils.h
-    Kaidan.cpp
-    Kaidan.h
-    LoginQrCodeGenerator.cpp
-    LoginQrCodeGenerator.h
+    Keychain.cpp
+    Keychain.h
     LogHandler.cpp
     LogHandler.h
+    MainController.cpp
+    MainController.h
     MediaUtils.cpp
     MediaUtils.h
     MessageComposition.cpp
@@ -137,8 +138,8 @@
     MessageReactionModel.h
     MixController.cpp
     MixController.h
-    Notifications.cpp
-    Notifications.h
+    NotificationController.cpp
+    NotificationController.h
     OmemoController.cpp
     OmemoController.h
     OmemoDb.cpp
@@ -155,30 +156,28 @@
     PublicGroupChatModel.h
     PublicGroupChatProxyModel.cpp
     PublicGroupChatProxyModel.h
-    PublicGroupChatSearchManager.cpp
-    PublicGroupChatSearchManager.h
+    PublicGroupChatSearchController.cpp
+    PublicGroupChatSearchController.h
     QmlUtils.cpp
     QmlUtils.h
+    RegistrationController.cpp
+    RegistrationController.h
     RegistrationDataFormFilterModel.cpp
     RegistrationDataFormFilterModel.h
     RegistrationDataFormModel.cpp
     RegistrationDataFormModel.h
-    RegistrationManager.cpp
-    RegistrationManager.h
+    RosterController.cpp
+    RosterController.h
     RosterDb.cpp
     RosterDb.h
-    RosterFilterProxyModel.cpp
-    RosterFilterProxyModel.h
+    RosterFilterModel.cpp
+    RosterFilterModel.h
     RosterItem.cpp
     RosterItem.h
     RosterItemWatcher.cpp
     RosterItemWatcher.h
-    RosterManager.cpp
-    RosterManager.h
     RosterModel.cpp
     RosterModel.h
-    ServerFeaturesCache.cpp
-    ServerFeaturesCache.h
     Settings.cpp
     Settings.h
     SqlUtils.cpp
@@ -190,20 +189,20 @@
     SystemUtils.h
     TextFormatter.h
     TextFormatter.cpp
+    ImageProvider.h
+    ImageProvider.cpp
     TrustDb.cpp
     TrustDb.h
     TrustMessageUriGenerator.cpp
     TrustMessageUriGenerator.h
     UserDevicesModel.cpp
     UserDevicesModel.h
-    VCardCache.cpp
-    VCardCache.h
-    VCardManager.cpp
-    VCardManager.h
+    VCardController.cpp
+    VCardController.h
     VCardModel.cpp
     VCardModel.h
-    VersionManager.cpp
-    VersionManager.h
+    VersionController.cpp
+    VersionController.h
     XmlUtils.h
 
     ${CMAKE_SOURCE_DIR}/data/data.qrc
@@ -254,6 +253,7 @@
     Qt::Sql
     Qt::Svg
     Qt::Xml
+    Qt6Keychain::Qt6Keychain
     QXmpp::QXmpp QXmpp::Omemo
     ${__Qt6Widgets_LIBRARIES}
     ${__KF6Notifications_LIBRARIES}

=== debian/changelog ===
kaidan (0.13.0+p24.04+vunstable+git20251203.1102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 11:02:39 +0000

## kaidan 0.13.0+p24.04+vunstable+git20251206.0643

=== debian/changelog ===
kaidan (0.13.0+p24.04+vunstable+git20251206.0643-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:43:18 +0000

## kaidan 0.13.0+p24.04+vunstable+git20251220.0346

=== debian/changelog ===
kaidan (0.13.0+p24.04+vunstable+git20251220.0346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:46:53 +0000

## kaidan 0.13.0+p24.04+vunstable+git20251224.0943

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,9 @@
 endif()
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO Kirigami Prison)
+if (WIN32)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS IconThemes)
+endif()
 if (NOT ANDROID)
    find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
    find_package(KDSingleApplication-qt6 CONFIG REQUIRED)

=== debian/changelog ===
kaidan (0.13.0+p24.04+vunstable+git20251224.0943-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:43:56 +0000

=== debian/control ===
Source: kaidan
Section: comm
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kf6-prison-dev,
               kf6-qqc2-desktop-style-dev,
               libicu-dev,
               libkdsingleapplication-qt6-dev,
               libqxmpp-qt6-dev,
               libzxingcore-dev | libzxing-dev,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-multimedia-dev,
               qt6-positioning-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Homepage: https://kaidan.im
Vcs-Git: https://invent.kde.org/neon/forks/kaidan.git
Vcs-Browser: https://invent.kde.org/neon/forks/kaidan
Maintainer: Neon CI <neon@kde.org>

Package: kaidan
Architecture: any
Depends: kaidan-data,
         kf6-kirigami,
         kf6-kirigami-addons,
         kf6-prison,
         qml6-module-org-kde-kquickimageeditor,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libnotify-bin
Description: Simple, user-friendly Jabber/XMPP client for every device
 It has a modern user-interface made using Kirigami and QtQuick. The back-end
 is completely written in C++ using the XMPP client libraray gloox and Qt 5.
 .
 One of the main ideas behind it is to run the same application on all
 platforms, including mobile and desktop systems. So it even runs on Android.
 .
 Currently there are still many features not implemented, so don't expect it
 to work as a finished client will do.

Package: kaidan-data
Architecture: all
Depends: ${misc:Depends}
Description: Simple, user-friendly Jabber/XMPP client for every device
 It has a modern user-interface made using Kirigami and QtQuick. The back-end
 is completely written in C++ using the XMPP client libraray gloox and Qt 5.
 .
 One of the main ideas behind it is to run the same application on all
 platforms, including mobile and desktop systems. So it even runs on Android.
 .
 Currently there are still many features not implemented, so don't expect it
 to work as a finished client will do.
 .
 This package contains architecture independent files.

## kaidan 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,9 +39,9 @@
 
 # Version
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 13)
+set(VERSION_MINOR 14)
 set(VERSION_PATCH 0)
-set(VERSION_CODE 24)
+set(VERSION_CODE 25)
 set(VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # CMake options
@@ -68,7 +68,7 @@
 endif()
 
 find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
-find_package(QXmppQt6 1.12.0 REQUIRED COMPONENTS Omemo)
+find_package(QXmppQt6 1.13.0 REQUIRED COMPONENTS Omemo)
 
 find_package(ICU 61.0 COMPONENTS uc)
 set_package_properties(ICU PROPERTIES

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -146,10 +146,12 @@
     OmemoDb.h
     PresenceCache.cpp
     PresenceCache.h
-    ProviderListItem.cpp
-    ProviderListItem.h
-    ProviderListModel.cpp
-    ProviderListModel.h
+    Provider.cpp
+    Provider.h
+    ProviderFilterModel.cpp
+    ProviderFilterModel.h
+    ProviderModel.cpp
+    ProviderModel.h
     PublicGroupChat.cpp
     PublicGroupChat.h
     PublicGroupChatModel.cpp

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -70,12 +70,25 @@
 )
 
 ecm_add_test(
+    RosterItemTest.cpp
+    TEST_NAME RosterItemTest
+    LINK_LIBRARIES Kaidan::Tests
+)
+
+ecm_add_test(
     TrustDbTest.cpp
     TEST_NAME TrustDbTest
     LINK_LIBRARIES Kaidan::Tests
 )
 
 # Manual tests
+
+add_executable(KeychainTest
+    manual/KeychainTest.cpp
+)
+target_link_libraries(KeychainTest
+    PRIVATE Kaidan::Tests
+)
 
 add_executable(PublicGroupChatSearch
     manual/PublicGroupChatSearch.cpp

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,9 @@
     target_link_libraries(${PROJECT_NAME} Qt::GuiPrivate)
 endif()
 
+if (WIN32)
+    target_link_libraries(${PROJECT_NAME} KF6::IconThemes)
+endif()
 
 # Set a custom plist file for the app bundle
 if(APPLE)

=== debian/changelog ===
kaidan (0.14.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.14.0).
  * Update build-deps and deps with the info from cmake.
  * Required kirigami addons versions is actually 1.8.0.
  * Add/update Melvin Keskin’s key in upstream keyring.
  * Switch to debian/watch format version 5.
  * Bump Standards-Version to 4.7.3, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 16:39:04 +0100

=== debian/control ===
Source: kaidan
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.11.0~),
               kirigami-addons-dev (>= 1.8.0~),
               libicu-dev (>= 61.0~),
               libkdsingleapplication-qt6-dev,
               libkf6crash-dev (>= 6.11.0~),
               libkf6iconthemes-dev (>= 6.11.0~),
               libkf6kio-dev (>= 6.11.0~),
               libkf6notifications-dev (>= 6.11.0~),
               libkf6prison-dev (>= 6.11.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.11.0~),
               libkirigami-dev (>= 6.11.0~),
               libqxmppqt6-dev (>= 1.13.0~),
               libssl-dev (>= 1.1~),
               qml6-module-org-kde-kquickimageeditor,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.7.0~),
               qt6-multimedia-dev (>= 6.7.0~),
               qt6-positioning-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.15~),
Standards-Version: 4.7.3
Homepage: https://www.kaidan.im/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kaidan
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kaidan.git

Package: kaidan
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Simple and user-friendly Jabber/XMPP client
 Kaidan is a simple, user-friendly and modern chat client. It uses the open
 communication protocol XMPP (Jabber).
 .
 The user interface makes use of Kirigami and QtQuick, while the back-end of
 Kaidan is entirely written in C++ using Qt and the Qt-based XMPP library
 QXmpp.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# drop unneeded SPDX license files
	find debian/kaidan -type f -name '*.license' -print -delete

## kaidan 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,9 +39,9 @@
 
 # Version
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 14)
+set(VERSION_MINOR 15)
 set(VERSION_PATCH 0)
-set(VERSION_CODE 25)
+set(VERSION_CODE 26)
 set(VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # CMake options
@@ -67,8 +67,8 @@
    find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
-find_package(QXmppQt6 1.13.0 REQUIRED COMPONENTS Omemo)
+find_package(KF6KirigamiAddons 1.8.0 REQUIRED)
+find_package(QXmppQt6 1.14.0 REQUIRED COMPONENTS Omemo)
 
 find_package(ICU 61.0 COMPONENTS uc)
 set_package_properties(ICU PROPERTIES
@@ -82,6 +82,8 @@
     DESCRIPTION "Secure credential storage"
     URL "https://github.com/frankosterfeld/qtkeychain"
 )
+
+pkg_check_modules(GStreamer REQUIRED IMPORTED_TARGET gstreamer-1.0>=1.20)
 
 ecm_set_disabled_deprecation_versions(
     QT 6.8.0

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -81,14 +81,13 @@
     LINK_LIBRARIES Kaidan::Tests
 )
 
+ecm_add_test(
+    KeychainTest.cpp
+    TEST_NAME KeychainTest
+    LINK_LIBRARIES Kaidan::Tests
+)
+
 # Manual tests
-
-add_executable(KeychainTest
-    manual/KeychainTest.cpp
-)
-target_link_libraries(KeychainTest
-    PRIVATE Kaidan::Tests
-)
 
 add_executable(PublicGroupChatSearch
     manual/PublicGroupChatSearch.cpp

=== debian/changelog ===
kaidan (0.15.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.15.0).
  * Update build-deps and deps with the info from cmake.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Refresh QML overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 10 Feb 2026 17:49:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: kaidan
 Section: net
-Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>,
@@ -9,6 +8,7 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.11.0~),
+               gstreamer1.0-qt6,
                kirigami-addons-dev (>= 1.8.0~),
                libicu-dev (>= 61.0~),
                libkdsingleapplication-qt6-dev,
@@ -20,7 +20,7 @@
                libkf6qqc2desktopstyle-dev,
                libkf6windowsystem-dev (>= 6.11.0~),
                libkirigami-dev (>= 6.11.0~),
-               libqxmppqt6-dev (>= 1.13.0~),
+               libqxmppqt6-dev (>= 1.14.0~),
                libssl-dev (>= 1.1~),
                qml6-module-org-kde-kquickimageeditor,
                qt6-base-dev (>= 6.7.0~),
@@ -39,7 +39,8 @@
 
 Package: kaidan
 Architecture: any
-Depends: ${misc:Depends},
+Depends: gstreamer1.0-qt6,
+         ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
 Description: Simple and user-friendly Jabber/XMPP client

=== debian/watch ===
Version: 5

Source: https://download.kde.org/unstable/@PACKAGE@/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sig/
